%define libname pygtkmoz
%{expand:%%define py_ver %(%{python} -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}

Summary: Python wrapper for the GtkMozembedWidget
Name: pygtkmoz
Version: 0.1
Release: 1mdk
Source: %{libname}-%{version}.tar.bz2
License: LGPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: pygtk2.0-devel
BuildRequires: mozilla-devel
Requires: python == %{pyver}
Requires: pygtk2.0
Requires: mozilla
Url: http://pygtkmoz.sourceforge.net/

%description
Python wrapper for the GtkMozembedWidget

%prep
%setup -q -n %{libname}-%{version}

%build
%make
python%{pyver} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python%{pyver} setup.py install --prefix=%{buildroot}/%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README example.py
%{_libdir}/python%{pyver}/site-packages/gtkmoz.so

%changelog
* Mon Nov 22 2004 Tigrux <tigrux@ximian.com> 0.1-1mdk
- First RPM for Mandrake
